## network-manager 1.30.6

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('iptables', type: 'string', value: '', description: 'path to iptables')
option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
option('dnssec_trigger', type: 'string', value: '', description: 'path to unbound dnssec-trigger-script')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('session_tracking_consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'combo', choices: ['upower', 'systemd', 'elogind', 'consolekit', 'auto'], value: 'auto', description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'boolean', value: true, description: 'User auth-polkit configuration option.')
option('config_auth_polkit_default', type: 'combo', choices: ['default', 'true', 'false', 'root-only'], value: 'default', description: 'Default value for configuration main.auth-polkit.')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent_helper_1', type: 'string', value: '', description: 'Path name to the polkit-agent-helper-1 binary from polkit')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'string', value: '', description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('nm_cloud_setup', type: 'boolean', value: false, description: 'Build nm-cloud-setup, a tool for automatically configure networking in cloud (EXPERIMENTAL!)')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')
option('ebpf', type: 'combo', choices : ['auto', 'true', 'false'], description: 'Enable eBPF support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL)')
option('ifupdown', type: 'boolean', value: false, description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')

# handlers for resolv.conf
option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')
option('netconfig', type: 'string', value: '', description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['auto', 'symlink', 'file', 'netconfig', 'resolvconf'], value: 'auto', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhclient', type: 'string', value: '', description: 'Enable dhclient support')
option('dhcpcanon', type: 'string', value: '', description: 'Enable dhcpcanon support (experimental)')
option('dhcpcd', type: 'string', value: '', description: 'Enable dhcpcd support')
option('config_dhcp_default', type: 'combo', choices: ['dhcpcanon', 'dhclient', 'dhcpcd', 'internal', 'nettools'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type : 'combo', choices : ['auto', 'true', 'false'], description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('firewalld_zone', type: 'boolean', value: true, description: 'Install and use firewalld zone for shared mode')
option('more_asserts', type: 'string', value: 'auto', description: 'Enable more assertions for debugging (0 = no, 100 = all, default: auto)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('crypto', type: 'combo', choices: ['nss', 'gnutls'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'boolean', value: true, description: 'enable Qt examples')

=== debian/changelog ===
network-manager (1.30.6-1+deb11u1devuan1) chimaera-proposed-updates; urgency=medium

  * Merge debian/1.30.6-1+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Jun 2022 10:10:47 +0100

network-manager (1.30.6-1+deb11u1) bullseye; urgency=medium

  * Set debian-branch to debian/bullseye
  * Revert "supplicant: enable WPA3 for WPA-PSK connections"
    Enabling WPA3 automatically for key_mgmt=wpa-psk is a change in
    behaviour which might have unintended side effects and thus not suitable
    for a stable upload.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2022 15:47:28 +0100

network-manager (1.30.6-1) unstable; urgency=medium

  * New upstream version 1.30.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 09:56:57 +0200

network-manager (1.30.0-2+devuan1) unstable; urgency=medium

  * Merge debian/1.30.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Apr 2021 18:47:34 +0100

network-manager (1.30.0-1+devuan1) unstable; urgency=medium

  * Merge debian/1.30.0-1.
  * Refresh d/p/0001-Skip-invalid-machine-id-mismatch-test.patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 01 Mar 2021 18:25:32 +0000

network-manager (1.28.0-2+devuan1) unstable; urgency=medium

  * Merge debian/1.28.0-2+devuan1.  Despite the upstream changelog, we
    still depend on logind so functionality is not broken.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 07 Jan 2021 10:49:15 +0000

network-manager (1.28.0-1+devuan2) unstable; urgency=medium

  * Rebuild for ppp 2.4.8-1+1

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Dec 2020 16:48:42 +0000

network-manager (1.28.0-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.28.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Dec 2020 10:54:47 +0000

network-manager (1.27.91-2+devuan1) unstable; urgency=medium

  * Merge Debian 1.27.91-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 26 Nov 2020 19:37:14 +0000

network-manager (1.27.91-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.27.91-1.
  * Refresh Devuan quilt patches.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 30 Oct 2020 13:22:52 +0000

network-manager (1.26.2-1+devuan1) unstable; urgency=medium

  * Merge debian/1.26.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 20 Aug 2020 15:48:32 +0100

network-manager (1.26.0-1+devuan1) unstable; urgency=medium

  * Merge Debian version 1.26.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 20 Jul 2020 17:03:01 +0100

network-manager (1.25.91-1+devuan1) unstable; urgency=medium

  * Fork for Devuan.
  * Reinstate init script.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 02 Jul 2020 22:22:42 +0100

=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Build-Depends: debhelper-compat (= 13),
               automake (>= 1.12),
               pkg-config,
               intltool,
               libglib2.0-dev (>= 2.32),
               ppp-dev (>= 2.4.7-1+1),
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               libelogind-dev (>= 209),
               libudev-dev (>= 175),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               python3-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev,
               libbluetooth-dev (>= 5),
               valac (>= 0.17.1.24),
               dbus <!nocheck>,
               python3-dbus <!nocheck>,
               iproute2 <!nocheck>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/devuan/network-manager.git
Vcs-Browser: https://git.devuan.org/devuan/network-manager
Origin: Devuan
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm0 (= ${binary:Version}),
         wpasupplicant,
         dbus,
         udev,
         adduser,
         default-logind | logind,
         policykit-1
Recommends: ppp,
            dnsmasq-base,
            iptables,
            modemmanager,
            wireless-regdb,
Suggests: libteam-utils,
          isc-dhcp-client,
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm0 (= ${binary:Version}),
         gir1.2-nm-1.0 (= ${binary:Version}),
         libglib2.0-dev
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYTHON=/usr/bin/python3

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with gir,ppp

autoreconf:
	gtkdocize --copy
	autopoint --force
	AUTOPOINT='intltoolize --automake --copy' autoreconf --verbose --force --install

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--runstatedir=/run \
		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
		--with-pppd=/usr/sbin/pppd \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/usr/sbin/iptables \
		--with-dnsmasq=/usr/sbin/dnsmasq \
		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
		--with-polkit-agent-helper-1=/usr/lib/policykit-1/polkit-agent-helper-1 \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udev-dir=/lib/udev \
		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
		--with-crypto=gnutls \
		--with-session-tracking=elogind \
		--with-suspend-resume=elogind \
		--with-modem-manager-1 \
		--with-nmtui \
		--with-nmcli \
		--with-selinux \
		--with-libaudit \
		--with-iwd \
		--without-dhcpcanon \
		--without-nm-cloud-setup \
		--enable-polkit \
		--enable-polkit-agent \
		--enable-ppp \
		--enable-ifupdown \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-concheck \
		--enable-teamdctl \
		--enable-json-validation \
		--enable-bluez5-dun \
		--enable-vala \
		--disable-more-warnings \
		--disable-modify-system \
		--disable-ovs

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_ppp:
	dh_ppp --breaks

## network-manager 1.32.12

=== debian/changelog ===
network-manager (1.32.12-0ubuntu1) impish; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2021 17:07:29 +0200

network-manager (1.32.10-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Wed, 25 Aug 2021 16:10:58 +0200

network-manager (1.32.2-0ubuntu2) impish; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - restore the workaround for the systemd and lxd issue, it's still
      needed (lp: #1936312)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Jul 2021 16:45:08 +0200

network-manager (1.32.2-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/*.py:
    - update python formatting to be compatible with the checks
  * debian/patches/ubuntu_revert_systemd.patch:
    - remove, the issue was fixed in systemd
  * debian/patches/CVE-2021-20297.patch:
    - remove, the fix is in the new version
  * debian/libnm0.symbols
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jul 2021 20:36:31 +0200

network-manager (1.30.0-1ubuntu4) impish; urgency=medium

  * d/t/nm.py: adapt to changes dnsmasq behavior (LP: #1894619)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 02 Jul 2021 11:13:46 +0200

network-manager (1.30.0-1ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: crash via setting match.path
    - debian/patches/CVE-2021-20297.patch: fix match in
      src/core/nm-core-utils.c.
    - CVE-2021-20297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Apr 2021 06:56:47 -0400

network-manager (1.30.0-1ubuntu2) hirsute; urgency=medium

  * Configure with --enable-lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 11:48:39 +0200

network-manager (1.30.0-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - debian/patches/ubuntu_revert_systemd.patch:
      + temporarly revert an upstream commit that made udev enabled under lxc,
        the new systemd doesn't work there (lp: #1914062)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 15:30:59 +0100

network-manager (1.28.0-2ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - temporarly revert an upstream commit that made udev enabled under lxc,
      the new systemd doesn't work there (lp: #1914062)

  [ Lukas Märdian ]
  * debian/tests/network_test_base.py:
    Fix race when reading the MAC address of veth interfaces with new systemd

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Feb 2021 10:23:07 +0100

network-manager (1.28.0-2ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,11 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>,
+ Sjoerd Simons <sjoerd@debian.org>,
+ Aron Xu <aron@debian.org>
 Build-Depends: debhelper-compat (= 13),
                automake (>= 1.12),
                pkg-config,
@@ -12,7 +16,8 @@
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               libelogind-dev (>= 209),
+               systemd (>= 185),
+               libsystemd-dev (>= 209),
                libudev-dev (>= 175),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
@@ -34,9 +39,10 @@
                iproute2 <!nocheck>,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Git: https://git.devuan.org/devuan/network-manager.git
-Vcs-Browser: https://git.devuan.org/devuan/network-manager
-Origin: Devuan
+XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://git.launchpad.net/network-manager
+Vcs-Browser: https://git.launchpad.net/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -49,20 +55,22 @@
          dbus,
          udev,
          adduser,
-         default-logind | logind,
          policykit-1
 Recommends: ppp,
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             wireless-regdb,
-Suggests: libteam-utils,
+            libpam-systemd,
+Suggests: avahi-autoipd,
+          libteam-utils,
           isc-dhcp-client,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -70,6 +78,8 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -97,7 +107,7 @@
 Description: GObject-based client library for NetworkManager
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -115,7 +125,7 @@
 Description: GObject-based client library for NetworkManager (development files)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -133,7 +143,7 @@
 Description: GObject introspection data for the libnm library
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -159,3 +169,21 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to an Ubuntu server to determine the
+ connection status.
+ .
+ This is particularly useful for captive portal detection.
+ .
+ No user data is transmitted in the connectivity checks, but merely contacting
+ the Ubuntu connectivity check servers reveals that the user is running an
+ Ubuntu(-based) operating system with NetworkManager.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
+export LDFLAGS
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   BUILD_PACKAGES += -Nnetwork-manager
+endif
 
 export PYTHON=/usr/bin/python3
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with gir,ppp
+	dh $@ --with gir,ppp $(BUILD_PACKAGES)
 
 autoreconf:
 	gtkdocize --copy
@@ -23,7 +31,7 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/usr/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
@@ -33,12 +41,13 @@
 		--with-udev-dir=/lib/udev \
 		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
 		--with-crypto=gnutls \
-		--with-session-tracking=elogind \
-		--with-suspend-resume=elogind \
+		--with-session-tracking=systemd \
+		--with-suspend-resume=systemd \
 		--with-modem-manager-1 \
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
+		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
@@ -54,19 +63,37 @@
 		--enable-json-validation \
 		--enable-bluez5-dun \
 		--enable-vala \
+		--enable-lto \
 		--disable-more-warnings \
 		--disable-modify-system \
 		--disable-ovs
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
 
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
+
+override_dh_installinit:
+	dh_installinit --noscripts
+
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
+override_dh_installsystemd:
+	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service
+	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service
+
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
+endif

## network-manager 1.36.4

=== debian/changelog ===
network-manager (1.36.4-2ubuntu1) jammy; urgency=medium

  * Cherry pick WPA3 fixes from Debian, thanks Michael Biebl! (lp: #1967782)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Apr 2022 15:28:36 +0200

network-manager (1.36.4-2) unstable; urgency=medium

  * supplicant: enable WPA3 transition mode only when interface supports PMF.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1003907

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2022 11:39:20 +0200

network-manager (1.36.4-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
  * Try reverting ubuntu_revert_systemd.patch again

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 14:06:31 -0400

network-manager (1.36.4-1) unstable; urgency=medium

  * New upstream version 1.36.4

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Mar 2022 20:39:16 +0100

network-manager (1.36.2-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 14:37:15 -0500

network-manager (1.36.2-1) unstable; urgency=medium

  * New upstream version 1.36.2
  * Rebase patches
  * Downgrade log message to info if we fail to open /run/network/ifstate

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Mar 2022 09:50:49 +0100

network-manager (1.36.0-2) unstable; urgency=medium

  * core: initialize l3cd dns-priority for ppp and wwan (Closes: #1006396)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Feb 2022 10:57:32 +0100

network-manager (1.36.0-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:


=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                dbus <!nocheck>,
                python3-dbus <!nocheck>,
                iproute2 <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
@@ -51,26 +51,26 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libnm0 (= ${binary:Version}),
-         wpasupplicant,
          dbus,
+         isc-dhcp-client,
          udev,
          adduser,
          policykit-1
 Recommends: ppp,
             dnsmasq-base,
-            iptables,
             modemmanager,
             network-manager-pptp,
             wireless-regdb,
+            wpasupplicant,
             libpam-systemd,
 Suggests: avahi-autoipd,
           libteam-utils,
-          isc-dhcp-client,
+          iptables,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -107,7 +107,7 @@
 Description: GObject-based client library for NetworkManager
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -125,7 +125,7 @@
 Description: GObject-based client library for NetworkManager (development files)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .
@@ -138,12 +138,10 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
-Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
 Description: GObject introspection data for the libnm library
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
  devices, and provides VPN integration with a variety of different VPN
  services.
  .

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,11 @@
 
 include /usr/share/dpkg/architecture.mk
 
-# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
-LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
-export LDFLAGS
-
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
    BUILD_PACKAGES += -Nnetwork-manager
 endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYTHON=/usr/bin/python3
 
@@ -31,9 +29,10 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=no \
+		--with-nft=/usr/sbin/nft \
+		--with-iptables=/usr/sbin/iptables \
+		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
-		--with-iptables=/usr/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
 		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
 		--with-polkit-agent-helper-1=/usr/lib/policykit-1/polkit-agent-helper-1 \
@@ -73,13 +72,6 @@
 	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-	# copy powersave configuration
-	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
-	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
-
 override_dh_installinit:
 	dh_installinit --noscripts
 
@@ -87,13 +79,8 @@
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
 override_dh_installsystemd:
-	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service
+	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service nm-priv-helper.service
 	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service
 
 override_dh_ppp:
 	dh_ppp --breaks
-
-override_dh_auto_test:
-ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
-endif

=== debian/tests/control ===
Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm.py
Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant
Restrictions: needs-root isolation-machine skippable

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

## network-manager 1.36.6

=== debian/changelog ===
network-manager (1.36.6-0ubuntu2.3) jammy; urgency=medium

  [ Serge Hallyn ]
  * debian/tests/control: add apparmor to nm Depends (LP: #2142407)

  [ Mitchell Augustin ]
  * Show incorrect password re-entry prompt for WPA3 networks (LP: #2122458)

 -- Serge Hallyn <serge@hallyn.com>  Wed, 25 Feb 2026 19:54:22 -0600

network-manager (1.36.6-0ubuntu2.2) jammy; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500

network-manager (1.36.6-0ubuntu2.1) jammy; urgency=medium

  [ Danilo Egea Gondolfo ]
  * debian/patches/lp2032824 (LP: #2032824)
    Fix for VETHs pairs activation on startup.

  [ Jeremy Bicha ]
  * debian/watch: Watch for 1.36.x releases

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 11 Dec 2024 15:48:05 +0100

network-manager (1.36.6-0ubuntu2) jammy; urgency=medium

  * debian/patches/fix_addresses_order.patch:
    - platform: workaround for preserving IPv6 address order
      (lp: #1977619)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jun 2022 11:27:56 +0200

network-manager (1.36.6-0ubuntu1) jammy; urgency=medium

  * New stable version (lp: #1974428)
  * debian/gbp.conf: 
    - updated the packaging vcs serie
  * d/p/supplicant-add-BIP-interface-capability.patch,
    d/p/supplicant-enable-WPA3-transition-mode-only-when-interfac.patch:
    - remove, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 May 2022 13:08:51 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Restrictions: needs-root allow-stderr isolation-machine skippable
 
 Tests: nm.py
-Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant
+Depends: apparmor, python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant
 Restrictions: needs-root isolation-machine skippable
 
 Tests: killswitches-no-urfkill

## network-manager 1.36.6-0ubuntu2%2B11.0trisquel2

=== debian/changelog ===
network-manager (1.36.6-0ubuntu2+11.0trisquel2) aramo; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jul 2022 19:22:24 +0000

## network-manager 1.36.6-0ubuntu2.2+11.0trisquel2

=== debian/changelog ===
network-manager (1.36.6-0ubuntu2.2+11.0trisquel2) aramo; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Jan 2026 00:51:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
